%define __pythonver 2.7
%define __pythonrel 18
%define __numpyver  1.16.6

Summary: A set of python modules and tools for HEP
Name: python-forhep
Version: %{__pythonver}.%{__pythonrel}
Release: 13%{?dist}2a
License: PSF
Group: Development/Languages
Source0: localhost:/numpy-%{__numpyver}.zip
Patch0:  localhost:/numpy-%{__numpyver}-macos13.patch
BuildRequires: python >= 2.7.0
Requires: python >= 2.7.0
#BuildArch: noarch
Vendor:       HEPonX
Distribution: HEPonX

%description
This package include python modules and tools for HEP, including
numpy scipy matplotlib ipython jupyter pandas sympy nose.

%prep
%setup -q -c python-forhep
pushd numpy-%{__numpyver}
%patch0 -p1 -b .macos13
popd


%build
pushd numpy-%{__numpyver}
%{_bindir}/pip2 install --root=`pwd`/.. --prefix=%{_prefix} .
popd

export PATH=$PATH:`pwd`%{_bindir}
export PYTHONPATH=`pwd`%{_libdir}/python%{__pythonver}/site-packages

env FFLAGS='-fallow-argument-mismatch' CFLAGS='-Wno-implicit-function-declaration' \
%{_bindir}/pip2 install --root=`pwd` --prefix=%{_prefix} scipy 

%{_bindir}/pip2 install --root=`pwd` --prefix=%{_prefix} matplotlib

%{_bindir}/pip2 install --root=`pwd` --prefix=%{_prefix} ipython sympy nose

env CFLAGS="-I/opt/osxws/include -I`xcrun --show-sdk-path`/usr/include" LDFLAGS="-L/opt/osxws/lib -L`xcrun --show-sdk-path`/usr/lib" \
%{_bindir}/pip2 install --root=`pwd` --prefix=%{_prefix} pillow

%{_bindir}/pip2 install --root=`pwd` --prefix=%{_prefix} pydicom

env CFLAGS='-Wno-implicit-function-declaration' \
%{_bindir}/pip2 install --root=`pwd` --prefix=%{_prefix} pandas

%{_bindir}/pip2 install --root=`pwd` --prefix=%{_prefix} jupyter[notebook] ipywidgets==7.6.1

(
 cd .%{_prefix}
 mv man/man1/* share/man/man1/ 
 rm -rf man
)

# avoid conflict with python3-forhep
(
 cd .%{_bindir}
 mv isympy isympy2
 mv jsonschema jsonschema2
 mv nosetests nosetests2
 mv pygmentize pygmentize2
 mv send2trash send2trash2
 for f in jupyter*; do mv ${f} ${f}2; done
)

(
 cd .%{_datadir}
 mv jupyter jupyter2
)

(
 cd .%{_sysconfdir}
 mv jupyter jupyter2
)

(
 cd .%{_mandir}/man1
 for f in *.1*; do mv $f $(echo $f | sed -e 's;\(.*\)\.1\(.*\);\12.1\2;'); done
)


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -a opt $RPM_BUILD_ROOT


%clean
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, wheel)
%{_bindir}/*
%exclude %{_bindir}/f2py
%exclude %{_bindir}/iptest
%exclude %{_bindir}/iptest
%exclude %{_bindir}/ipython
%{_libdir}/python%{__pythonver}/*
%{_datadir}/*
%{_sysconfdir}/*


%changelog
* Tue Nov 14 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 2.7.18-13hepx2a
- 2nd release on MacOS 13.
- renamed files with no 2 or 2.7 suffix, put suffix 2 and excluded
  files linked to them.
- provides numpy, scipy, matplotlib, ipython, sympy, nose, pillow, pydicom, 
  pandas, and jupyter.

* Tue Nov 14 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 2.7.18-13hepx1a
- 1st release on MacOS 13.
- provides numpy, scipy, matplotlib, ipython, sympy, nose, pillow, pydicom, 
  pandas, and jupyter.
